Issue - Add Or Update Resources

Add or update resources associated with an issue

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Monitor/accounts/{azureMonitorWorkspaceName}/issues/{issueName}/addOrUpdateResources?api-version=2025-10-03

URI Parameters

Name In Required Type Description
azureMonitorWorkspaceName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the Azure Monitor Workspace. The name is case insensitive

issueName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the IssueResource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
value True

RelatedResource[]

A list of related resources

Responses

Name Type Description
200 OK

RelatedResources

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Issue_AddOrUpdateResources_MaximumSet

Sample request

POST https://management.azure.com/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Monitor/accounts/myWorkspace/issues/3f29e1b2b05f8371595dc761fed8e8b3/addOrUpdateResources?api-version=2025-10-03

{
  "value": [
    {
      "id": "/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/vm1",
      "relevance": "Relevant",
      "origin": {
        "addedBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
        "addedByType": "Manual"
      }
    }
  ]
}

Sample response

{
  "value": [
    {
      "id": "/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/vm1",
      "relevance": "Relevant",
      "origin": {
        "addedBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
        "addedByType": "Manual"
      },
      "addedAt": "2024-12-13T03:11:07",
      "lastModifiedAt": "2024-12-13T03:51:45"
    }
  ]
}

Definitions

Name Description
AddedByType

The type of entity that added data to the issue

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Origin

Details about the origin of the entity - the source that added it to the issue

RelatedResource

Properties of a resource which is related to the issue

RelatedResources

A list of related resources

Relevance

The relevance status of the resource

AddedByType

The type of entity that added data to the issue

Value Description
Manual

The data was added manually by a user

Automatic

The data was added automatically

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Origin

Details about the origin of the entity - the source that added it to the issue

Name Type Description
addedBy

string

The ID of the origin - for example, in case of 'Manual', the user ID/app ID, and in case of 'Automatic', the name of the automatic system

addedByType

AddedByType

The source of the origin - Manual or Automatic

RelatedResource

Properties of a resource which is related to the issue

Name Type Description
addedAt

string (date-time)

The time this relation was added to the issue (in UTC)

id

string (arm-id)

The resource ID

lastModifiedAt

string (date-time)

The last update time of this relation (in UTC)

origin

Origin

The source that related the resource to the issue

relevance

Relevance

The resource's relevance status

RelatedResources

A list of related resources

Name Type Description
value

RelatedResource[]

A list of related resources

Relevance

The relevance status of the resource

Value Description
None

No relevance status for the resource

Relevant

The resource is relevant to the issue

Irrelevant

The resource is irrelevant to the issue